Subject: bug#30756: closed (Re: bug#30756: GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Feb 2020 17:50:02 +0000

Your bug report

#30756: GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking #include_next

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30756: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30756
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30756: GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking
From: Ludovic Courtès <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked], [email-masked], Maxim Cournoyer <[email-masked]>, Reza Housseini <[email-masked]>
Date: Thu, 06 Feb 2020 18:49:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 2073b55e6b964cb8ca15e8c74cb32dac00f05f0d!

I’ve been able to build Python, CMake things, and I think Meson things,
so it’s looking good.

Next we should look at CROSS_CPATH.

Ludo’.

Subject: gcc7 doesn't find stdlib.h
From: julien lepiller <[email-masked]>
To: [email-masked]
Date: Fri, 09 Mar 2018 13:10:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to build a software that requires gcc>=7.2. Unfortunately, 
the process crashes and ends with:

/gnu/store/a4vwdk8r6p6l2mnffz4yaqlr1z6z6w3r-gcc-7.3.0/include/c++/cstdlib:75:15: 
fatal error: stdlib.h: No such file or directory.

What I'm trying to build is called emojicode, and the current version of 
my package definition can be found here: 
https://framagit.org/tyreunom/guix-more/commit/ca9a77ed4b0a3ae50590f8e8abb9175f42094560